Updates … needed …


So as you noticed this blog really needs to be updated, the old theme failed and the new one is the latest default from WordPress. Updated PHP and we really need to fix the theme. We are working on it .. so we can write our next rand for nobody to read. But if you do, do not take that personally. 😉